package com.rc.httpcore.vo.response;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * info
 *
 * @author ReiChin_
 */
public class LockRespBean implements Parcelable {

    public String lockId; // 柜锁ID
    public boolean success; // 开锁/关锁成功
    public String cabinetName; // 机柜名称
    public String lockName; // 柜锁名称
    public String lockLogId; // 记录开锁的ID

    public LockRespBean() {
    }

    protected LockRespBean(Parcel in) {
        lockId = in.readString();
        success = in.readByte() != 0;
        cabinetName = in.readString();
        lockName = in.readString();
        lockLogId = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(lockId);
        dest.writeByte((byte) (success ? 1 : 0));
        dest.writeString(cabinetName);
        dest.writeString(lockName);
        dest.writeString(lockLogId);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<LockRespBean> CREATOR = new Creator<LockRespBean>() {
        @Override
        public LockRespBean createFromParcel(Parcel in) {
            return new LockRespBean(in);
        }

        @Override
        public LockRespBean[] newArray(int size) {
            return new LockRespBean[size];
        }
    };
}
